package com.willalp.clockingin.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.clockingin.domain.BizLeave;

import java.util.List;

/**
 * 请假Mapper接口
 *
 * @author 一只闲鹿
 * @date 2020-11-29selectBizLeaveList
 */
public interface BizLeaveMapper extends BaseMapper<BizLeave> {
    /**
     * 查询请假
     *
     * @param id 请假ID
     * @return 请假
     */
    public BizLeave selectBizLeaveById(Long id);

    /**
     * 查询请假列表
     *
     * @param bizLeave 请假
     * @return 请假集合
     */
    public List<BizLeave> selectBizLeaveList(BizLeave bizLeave);

    /**
     * 查询请假列表
     *
     * @param bizLeave 请假
     * @return 请假集合
     */
    public List<BizLeave> selectPersonnelList(BizLeave bizLeave);
    /**
     * 新增请假
     *
     * @param bizLeave 请假
     * @return 结果
    selectPersonnelList
    public int insertBizLeave(BizLeave bizLeave);

    /**
     * 修改请假
     *
     * @param bizLeave 请假
     * @return 结果
     */
    public int updateBizLeave(BizLeave bizLeave);

    /**
     * 删除请假
     *
     * @param id 请假ID
     * @return 结果
     */
    public int deleteBizLeaveById(Long id);

    /**
     * 批量删除请假
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBizLeaveByIds(Long[] ids);
}
